View Issue Details

IDProjectCategoryView StatusLast Update
14563Bug reports[All Projects] Survey designpublic2019-04-30 09:11
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.16.x 
Summary14563: Save question before attributes get loaded remove all attributes
Description

Sometimes : all attributes can be resetted to default. This need a bad connexion.

Steps To Reproduce

Get a bad connexion
Edit a question, set hidden attribute to true
Save and close
Edit question
Savec and close quick

Additional Information

2 solution:

  1. Allow save only when all page loaded
  2. In database : check a hidden input "attributes-loaded"

The 2 seems best.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.9 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

Issue History

Date Modified Username Field Change
2019-02-21 19:09 DenisChenu New Issue
2019-02-21 19:09 DenisChenu Status new => assigned
2019-02-21 19:09 DenisChenu Assigned To => DenisChenu
2019-02-21 19:09 DenisChenu File Added: simplescreenrecorder-2019-02-21_19.05.58.webm
2019-02-23 18:10 DenisChenu Note Added: 50683
2019-02-26 19:00 DenisChenu Status assigned => resolved
2019-02-26 19:00 DenisChenu Resolution open => fixed
2019-02-26 19:00 DenisChenu Fixed in Version => 3.16.x
2019-02-26 19:00 DenisChenu Note Added: 50688
2019-04-30 09:11 c_schmitz Status resolved => closed